<template>
  <q-page class="container">
      <div class="q-pa-md row items-center ccard">
       <q-card class="my-card col-5" flat bordered v-for="content in contents" :key="content.id">
         <model-obj
            :width="500"
            :src='content.object.obj'
            :mtl='content.object.mtl'
            :backgroundColor="hex"
            :rotation="rotation"
            >
          </model-obj>

          <q-card-section>
            <div class="text-overline text-orange-9">{{content.object.name}}</div>
            <div class="text-h5 q-mt-sm q-mb-xs">{{content.name}}</div>
            <div class="text-caption text-grey">
              {{content.text}}
            </div>
          </q-card-section>

        </q-card>
      </div>
      <!-- <model-obj
            :width="500"
            src="/bugatti.obj"
            mtl="/bugatti.mtl"
            :backgroundColor="hex"
            :rotation="rotation"
            >
          </model-obj> -->
      <div class="q-pa-lg flex flex-center">
        <q-pagination
          v-model="current"
          :max="pageNumbers"
          direction-links
        />
      </div>
  </q-page>
</template>

<script>
import axios from 'axios'
import { Notify } from 'quasar'
import {  ModelObj } from 'vue-3d-model'
export default {
  name: 'PageIndex',
  components: {
    ModelObj,
  },
  data () {
    return {
      current:1,
      pageNumbers:5,
      objects:[],
      contents:[],
      allobjects:[],
      hex: '#ffffff',
      rotation: {
        x: Math.PI/9,
        y: -Math.PI/9,
        z: 0
      },
    }
  },
  async mounted() {
    this.getcontent()
  },
  methods:{
    async getcontent() {
      await axios
        .get('http://127.0.0.1:10/api/content/')
        .then((response) => {
          var data = response.data
          this.pageNumbers=Math.ceil(data.length/4)
          this.contents=[]
          for (var i = 0; i < data.length; i++) {
            let getfiles= data[i].object.file
            let obj=""
            let mtl=""
            for(let h=0;h<getfiles.length;h++){
              let type= getfiles[h].url.split(".")[getfiles[h].url.split(".").length-1]
              if(type=="obj"){
                obj="http://127.0.0.1:10/storage/"+getfiles[h].url
              }
              if(type=="mtl"){
                mtl="http://127.0.0.1:10/storage/"+getfiles[h].url
              }
            }
            var ob = {
              id: data[i].object.id,
              name: data[i].object.name,
              model:data[i].object.file,
              obj: obj,
              mtl:mtl
            }



            var json = {
              index: i+1,
              id: data[i].id,
              name: data[i].name,
              text: data[i].text,
              object:ob,
              category:data[i].category
            }
            this.contents.push(json)
            this.allcontents=this.contents
            console.log(this.contents);
          }
        })
        .catch((e) => {
          var res = e.response
          this.$q.loading.hide()
          Notify.create({
              type: 'negative',
              message: 'Something Error',
              position: "bottom-right",
              progress: true,
              actions: [
                  { icon: 'close', size: "sm", color: 'white', handler: () => { /* ... */ } }
              ]
          })
        })
    },
    
  }
}
</script>
<style scoped>
.ccard{
  display: flex;
  justify-content: space-around;
}
</style>